Please make sure you own FULL Kontakt 6.4.1 or above before proceeding with any of the virtual instruments. These instruments are only compatible with this version. Thank you! 

Continue Exploring

My cart

Cart is empty